Skip to main content
GET
/
v3
/
benefits
/
{benefit}
Read Benefit
curl --request GET \
  --url https://api.{tenant}.getomneo.com/api/v3/benefits/{benefit}
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/benefits/{benefit}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.{tenant}.getomneo.com/api/v3/benefits/{benefit}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "profile_id": "<string>",
    "external_id": "<string>",
    "expires_at": "<string>",
    "issued_at": "<string>",
    "is_expired": "<string>",
    "is_redeemable": "<string>",
    "redemptions_remaining": "<string>",
    "total_global_redemptions_remaining": {},
    "definition": {
      "id": "<string>",
      "name": "<string>",
      "handle": "<string>",
      "type": "<string>",
      "region_id": 123,
      "region": {
        "id": 123,
        "name": "<string>",
        "handle": "<string>"
      },
      "currency": "<string>",
      "period": 123,
      "description": "<string>",
      "internal_notes": "<string>",
      "meta": [
        "<unknown>"
      ],
      "short_description": "<string>",
      "long_description": "<string>",
      "terms_conditions": "<string>",
      "earn_instructions": "<string>",
      "redeem_instructions_store": "<string>",
      "redeem_instructions_online": "<string>",
      "redeem_code_pos": "<string>",
      "redeem_code_online": "<string>",
      "icon": "<string>",
      "image_url": "<string>",
      "max_redemptions": 123,
      "is_extendable": true,
      "is_assignable": true,
      "is_reassignable": true,
      "is_published": true,
      "is_archived": true,
      "tags": [
        "<string>"
      ],
      "is_claimable": true,
      "max_global_redemptions": 123,
      "claim_period_start_at": "<string>",
      "claim_period_end_at": "<string>",
      "claim_condition": [
        "<unknown>"
      ],
      "is_reclaimable": true,
      "notify_schedule_offset": 123,
      "notify_issue_offset_days": 123,
      "notify_issue_offset_hour": 123,
      "notify_remind_offset_days": 123,
      "notify_remind_offset_hour": 123,
      "notify_extend_offset_days": 123,
      "notify_extend_offset_hour": 123,
      "remind_target_id": 123,
      "extend_target_id": 123,
      "issue_target_id": 123,
      "end_at": "<string>",
      "total_allocations": null,
      "total_allocations_remaining": null,
      "force_allocation": true,
      "created_at": "<string>",
      "updated_at": "<string>",
      "claim_timeframe": [
        "<unknown>"
      ],
      "view_condition": [
        "<unknown>"
      ],
      "allow_user_redeem": true,
      "same_campaign_count": 123
    },
    "timezone": "<string>",
    "claimed_at": "<string>",
    "meta": [
      "<unknown>"
    ],
    "redeem_code_pos": "<string>",
    "redeem_code_online": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "value": "<string>",
    "combine_meta": [
      "<unknown>"
    ],
    "is_combined": true,
    "extended_at": "<string>",
    "source_id": 123,
    "source_type": "<string>"
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Path Parameters

benefit
integer
required

The benefit ID

Response

Benefit

data
Benefit · object
required